Bug 1666699 - Qt-Creator QRadioButton and QCheckBox have a wrong size in Gnome
Summary: Qt-Creator QRadioButton and QCheckBox have a wrong size in Gnome
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: adwaita-qt
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-16 11:58 UTC by Rolle
Modified: 2019-07-05 01:32 UTC (History)
9 users (show)

Fixed In Version: adwaita-qt-1.0.90-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-05 01:32:22 UTC
Type: Bug


Attachments (Terms of Use)
Wrong cropping on QRadioButton/QCheckBox (23.07 KB, image/png)
2019-01-16 11:58 UTC, Rolle
no flags Details

Description Rolle 2019-01-16 11:58:45 UTC
Created attachment 1520977 [details]
Wrong cropping on QRadioButton/QCheckBox

Description of problem:
Developing a new GUI program with Qt-Creator in the Gnome 3.30 Desktop show a wrong size with the classes "QRadioButton" and "QCheckBox". But only when I use the "LayoutDirection" "RightToLeft". There are some pixels on the right side cropped. (see attachment "Wrong cropping on QRadioButton/QCheckBox")

Version-Release number of selected component (if applicable):
Fedora 29, (Qt-Creator 4.6.2), (Qt 5.7.1)

How reproducible:
Always

Steps to Reproduce:
1. create a GUI project with Qt-Creator
2. add a QRadioButton or QCheckBox
3. (maybe check that on the right side direct next to the QRadioButton/QCheckBox is an element (Window border or another element))

Actual results:
in the Qt-Creator-Designer and during the execution of the program some pixels of the right side of QRadioButton/QCheckBox are cropped

Expected results:
on the right side the QRadioButton/QCheckBox should be some pixels wider to show all pixels

Additional info:

Comment 1 Fedora Update System 2019-07-02 11:32:07 UTC
FEDORA-2019-f3dc79eb7a has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f3dc79eb7a

Comment 2 Fedora Update System 2019-07-03 02:26:45 UTC
adwaita-qt-1.0.90-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f3dc79eb7a

Comment 3 Fedora Update System 2019-07-05 01:32:22 UTC
adwaita-qt-1.0.90-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.